Skip to main content
GET
/
orgs
/
{orgId}
/
shipping-rules
/
{ruleId}
Returns a single shipping rule
curl --request GET \
  --url https://api.zippendo.com/orgs/{orgId}/shipping-rules/{ruleId} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "name": "<string>",
  "description": "<string>",
  "carrierId": "<string>",
  "productId": "<string>",
  "services": [
    "<string>"
  ],
  "additionalParameters": [
    {
      "name": "<string>",
      "val": "<string>"
    }
  ],
  "senderAddressId": "<string>",
  "receivingCountries": [
    "<string>"
  ],
  "emailNotification": false,
  "phoneNotification": false,
  "conditions": [
    {
      "type": "weight",
      "min": 1,
      "max": 1,
      "shippingPrice": 1,
      "currency": "<string>"
    }
  ],
  "generateProformaInvoice": false,
  "generateCommercialInvoice": false,
  "generatePackingList": false,
  "autoPrintLabels": false,
  "autoPrintDocuments": false,
  "labelPrinterId": "<string>",
  "documentPrinterId": "<string>",
  "returnShippingRuleId": "<string>",
  "autoCreateReturnShipment": false,
  "orgId": "<string>",
  "createdAt": "<string>",
  "updatedAt": "<string>",
  "carrier": {
    "id": "<string>",
    "name": "<string>",
    "carrierSlug": "<string>",
    "config": {},
    "senderAddressId": "<string>",
    "orgId": "<string>",
    "createdAt": "<string>",
    "updatedAt": "<string>"
  },
  "senderAddress": {
    "id": "<string>",
    "name": "<string>",
    "attContact": "<string>",
    "address1": "<string>",
    "address2": "<string>",
    "zipcode": "<string>",
    "city": "<string>",
    "phone": "<string>",
    "countryCode": "<string>",
    "state": "<string>",
    "email": "jsmith@example.com",
    "orgId": "<string>",
    "createdAt": "<string>",
    "updatedAt": "<string>",
    "customs": {}
  },
  "labelPrinter": {
    "id": "<string>",
    "name": "<string>"
  },
  "documentPrinter": {
    "id": "<string>",
    "name": "<string>"
  },
  "returnShippingRule": {
    "id": "<string>",
    "name": "<string>"
  }
}

Authorizations

Authorization
string
header
required

JWT access token or API token (prefixed with zipp_)

Path Parameters

orgId
string
required

Organization ID

ruleId
string
required

Shipping Rule ID

Response

Default Response

id
string
required
name
string
required

Shipping rule name

Minimum string length: 1
description
string | null
required

Optional description

carrierId
string
required

Carrier ID

productId
string
required

Product ID from carrier

services
string[]
required

List of selected services

additionalParameters
object[]
required

Custom parameters

senderAddressId
string
required

Sender address ID

receivingCountries
string[]
required

List of supported country codes

emailNotification
boolean
default:false
required
phoneNotification
boolean
default:false
required
conditions
object[]
required

Rule conditions (weight/price)

generateProformaInvoice
boolean
default:false
required

Generate proforma invoice for shipments

generateCommercialInvoice
boolean
default:false
required

Generate commercial invoice for international shipments

generatePackingList
boolean
default:false
required

Generate packing slip with package and item details

autoPrintLabels
boolean
default:false
required

Automatically print labels when shipment is sent

autoPrintDocuments
boolean
default:false
required

Automatically print documents when shipment is sent

labelPrinterId
string | null
required

ID of the label printer

documentPrinterId
string | null
required

ID of the document printer

returnShippingRuleId
string | null
required

ID of the return shipping rule

autoCreateReturnShipment
boolean
default:false
required

Automatically create and send a return shipment on dispatch

orgId
string
required
createdAt
string
required
updatedAt
string
required
carrier
object
required
senderAddress
object
required
labelPrinter
object
documentPrinter
object
returnShippingRule
object